Forum |  HardWare.fr | News | Articles | PC | Prix | S'identifier | S'inscrire | Aide | Shop Recherche
2017 connectés 

 


 Mot :   Pseudo :  
 
 Page :   1  2
Page Suivante
Auteur Sujet :

ZendOptimizer FreeBSD vps v2 pro via verio

n°986977
pulsarghos​t
GamerTag : pulsarghost
Posté le 03-12-2007 à 15:59:11  profilanswer
 

Reprise du message précédent :
J'ai besoin de desinstaller ZendOptimizer sur le vrai serveur afin de pouvoir bien le reinstaller mais voici le problème  
 
cd /usr/ports/devel/ZendOptimizer && make deinstall clean
On FreeBSD before 6.2 ports system unfortunately can not set default X11BASE by itself so please help it a bit by setting X11BASE=${LOCALBASE} in make.conf.
On the other hand, if you do wish to use non-default X11BASE, please set variable USE_NONDEFAULT_X11BASE.
*** Error code 1
 
Stop.
 
La version de FreeBSD n'est pas recente c'est la 4.7 donc je ne vois que le pkg_delete pour le desinstaller vous avez d'autres idées  
J'ai pas envie de faire une connerie et de planter tout le serveur  :ange:


Message édité par pulsarghost le 03-12-2007 à 15:59:42
mood
Publicité
Posté le 03-12-2007 à 15:59:11  profilanswer
 

n°987280
pulsarghos​t
GamerTag : pulsarghost
Posté le 04-12-2007 à 11:10:34  profilanswer
 

En faite il faut mettre X11BASE=${LOCALBASE} dans le make.conf qui se trouve dans /etc ou le créer si il n'est pas présent et ça marche ;)


Message édité par pulsarghost le 04-12-2007 à 12:38:19
n°987354
pulsarghos​t
GamerTag : pulsarghost
Posté le 04-12-2007 à 12:44:46  profilanswer
 

La commande s'execute bien après avoir fait les manipulations mais il me dit que ZendOptimizer n'est pas installé  
 
cd /usr/ports/devel/ZendOptimizer && make deinstall clean
===>  Deinstalling for devel/ZendOptimizer
===>   ZendOptimizer not installed, skipping
===>  Cleaning for ZendOptimizer-3.3.0.a
 
pourtant quand je tape
 
php -v
PHP 4.4.7 with Suhosin-Patch 0.9.6 (cli) (built: May 17 2007 16:20:23)
Copyright (c) 1997-2007 The PHP Group
Zend Engine v1.3.0, Copyright (c) 1998-2004 Zend Technologies
   with Zend Extension Manager v1.0.9, Copyright (c) 2003-2005, by Zend Technologies
   with Zend Optimizer v2.6.0, Copyright (c) 1998-2005, by Zend Technologies
 
:??:
 
Comment savoir par quelle commande il a été installé ?
Vu qu'il n'est pas présent quand je tape pkg_info je suppose qu'il n'a pas été installé par les logiciels portés


Message édité par pulsarghost le 04-12-2007 à 12:45:14
n°987755
pulsarghos​t
GamerTag : pulsarghost
Posté le 05-12-2007 à 11:51:52  profilanswer
 

On (le support) me dit que Le package n'est pas installé , zendoptimiser avait été installé depuis le binaire de zend.com directement. Surement dans /usr/local/zned.

 

mais avec la commande php-v il apparait
Comment cela se fait-il ?
J'ai fait le test sur vmware avec les logiciels portés et meme quand ZendOptimizer est installé il n'est pas présent quand je lance la commande php -v
O_o


Message édité par pulsarghost le 05-12-2007 à 11:52:13
n°988164
pulsarghos​t
GamerTag : pulsarghost
Posté le 06-12-2007 à 11:01:02  profilanswer
 

Peut-on installer un ancien ZendOptimizer compatible php4.4.7 et non le dernier vu qu'il necessite php5 et que cela n'est pas supporté par la vps2pro ? et quelles est la commande si cela est possible ?
car ma commande installe le dernier ZendOptimizer et avec les dépenadances installera php5


Message édité par pulsarghost le 06-12-2007 à 11:02:10
n°988578
pulsarghos​t
GamerTag : pulsarghost
Posté le 07-12-2007 à 10:12:22  profilanswer
 

On ma transmis un lien pour telecharger le bon ZendOptimizer pour php4.4.7
http://myunclesmonkey.com/zippedfi [...] 386.tar.gz
Sur le serveur de test j'ai fait
fetch http://myunclesmonkey.com/zippedfi [...] 386.tar.gz
j'ai bien le fichier tar.gz
je le décompresse
tar -zxf fichier.tar.gz
J'ai un reperoire avec ZendOptimizer
Seulement quand je lance install.sh il me met
command not found
Je précise je suis sous FreeBSD et quand je tape
./install.sh il me met
/usr/libexec/ld-elf.so.1 : Shared object "libutil.so.3 not found, required by "php"
J'ai lu qu'il fallait lier les chemins ou je ne sais quoi
Dans quel repertoire faut-il que je le mette ?
Ai-je taper une mauvaise commande pour l'installation?
On m'a dit de regarder dans le php.ini et php.info
Yen a pas un qu'on peut regarder a partir d'une page web ? ip/php.info ???


Message édité par pulsarghost le 07-12-2007 à 11:32:58
n°988688
pulsarghos​t
GamerTag : pulsarghost
Posté le 07-12-2007 à 13:11:11  profilanswer
 

Quel bordel
J'ai eu des reponses de support  
Le 1er me met  
je ne sais pas comment vous le dire mais vous disposez DEJA de zendoptimizer sur ce serveur:
voici l'image du php info
http://img253.imageshack.us/img253/581/phpmk4.jpg
 
Et le 2eme me dit :non:
L'information que vous obtenez avec php- v vous indique que les extensions pour ZendOptimizer v2.6.0 sont installees, mais pas que ZendOptimizer l'est
 
 :heink:  :pt1cable:  :sarcastic:   :cry:  :??:  

n°988752
pulsarghos​t
GamerTag : pulsarghost
Posté le 07-12-2007 à 15:31:16  profilanswer
 

En cherchant sur verio j'ai vu qu'il etait possible d'installer ZendOptimizer et d'autres logiciels par la commande vinstall mais je ne sais pas si cela installe la bonne version par rapport à la version php
Si quelqu'un a la meme configuration ?

mood
Publicité
Posté le   profilanswer
 

 Page :   1  2
Page Suivante

Aller à :
Ajouter une réponse
 

Sujets relatifs
Montez mes partitions Linux sous FreeBSD[FREEBSD] Probleme de reseau :(
[FreeBSD] Erreur dans Installation de BerylInstallation d'un environnement FAMP foireuse (FreeBSD+Apache+SQL+PHP)
probleme de php et apache sous FreeBSDMàJ FreeBSD (intégration Xorg 7.2)
FreeBSD en réseau !DRBD sur FreeBSD
Difference fondamentale FreeBSD - Linux Debian 
Plus de sujets relatifs à : ZendOptimizer FreeBSD vps v2 pro via verio



Copyright © 1997-2016 Hardware.fr SARL (Signaler un contenu illicite) / Groupe LDLC / Shop HFR